// pages/visa/visa.js
let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    timeLimited: {
      pageSize: 4,
      pageIndex: 1,
      companyId: app.state.companyId
    },
    timeList: [],
    hotcountry: [],
    hotvisa: [],
    isLogin: app.isLogin,
  },
  // 跳转详情
  goDetailsPage: function (e) {
    let id = encodeURIComponent(e.currentTarget.dataset.id)
    wx.navigateTo({
      url: '/pages/visa/visaDetails/visaDetails?id=' + id,
    })
  },
  // 跳转签证列表页
  goListPage: function (e) {
    let id = e.currentTarget.dataset.id ? e.currentTarget.dataset.id : '' 
    let path = id ? '/pages/visa/visaList/visaList?id=' + id : '/pages/visa/visaList/visaList'
    wx.navigateTo({
      url: path,
    })
  },
  // 限时优惠
  TimeLimited: function() {
    app.$apiJavaNew('api/b2b/visa/getVisaProductFlashSale', this.data.timeLimited).then(res => {
      this.setData({
        timeList: res.pageData
      })
    }).catch(err => { });
  },
  //   获取热门签证
  Gethotvisa: function() {
    let msg = {
      pageSize: 8,
      pageIndex: 1,
      companyId: app.state.companyId
    }
    app.$apiJavaNew('api/b2b/visa/getHotVisaProduct', msg).then(res => {
      this.setData({
        hotvisa: res.pageData
      })
    }).catch(err => { });
  },
  //   获取签证国家
  GetVisaCountry: function() {
    app.$apiJavaNew('api/b2b/visa/getVisaHotCountry', this.data.timeLimited).then(res => {
      this.setData({
        hotcountry: res.pageData
      })
    }).catch(err => { });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.TimeLimited()
    this.Gethotvisa()
    this.GetVisaCountry()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})